aboutsummaryrefslogtreecommitdiffstats
path: root/test
diff options
context:
space:
mode:
Diffstat (limited to 'test')
-rwxr-xr-xtest/endpoints.sh35
1 files changed, 18 insertions, 17 deletions
diff --git a/test/endpoints.sh b/test/endpoints.sh
index 2b73614..0e7a96c 100755
--- a/test/endpoints.sh
+++ b/test/endpoints.sh
@@ -1,22 +1,23 @@
-#!/usr/bin/env sh
-set -e
-set -x
+#!/bin/sh
+set -ex
-curl -k -X GET "https://localhost:10008/crypto/v1/price?name=PEPE&unit=USD"
-curl -k -X GET "https://localhost:10008/crypto/v1/pair?one=ETH&two=CAKE&multiplier=4.0"
-curl -k -X POST -H "Content-Type: application/json" -d '{"name":"alert1", "expr":"ETH>CAKE"}' https://localhost:10008/crypto/v1/alert
+# curl -k -X GET "https://localhost:8009/crypto/v1/arb/gecko?name=ethereum&unit=usd"
+# curl -k -X GET "https://localhost:8009/crypto/v1/arb/coincap?name=ethereum"
+curl -k -X GET "https://localhost:10008/api/crypto/v1/price?name=PEPE&unit=USD"
+curl -k -X GET "https://localhost:10008/api/crypto/v1/pair?one=ETH&two=CAKE&multiplier=4.0"
+curl -k -X POST -H "Content-Type: application/json" -d '{"name":"alert1", "expr":"ETH>CAKE"}' https://localhost:10008/api/crypto/v1/alert
# alert
-curl -k -X GET -H "Content-Type: application/json" "https://localhost:10008/crypto/v1/alert?key=alert1"
-curl -k -X DELETE -H "Content-Type: application/json" "https://localhost:10008/crypto/v1/alert?key=alert1"
-curl -k -X POST -H "Content-Type: application/json" -d '{"name":"alert1", "expr":"ETH>CAKE"}' https://localhost:10008/crypto/v1/alert
+curl -k -X GET -H "Content-Type: application/json" "https://localhost:10008/api/crypto/v1/alert?key=alert1"
+curl -k -X DELETE -H "Content-Type: application/json" "https://localhost:10008/api/crypto/v1/alert?key=alert1"
+curl -k -X POST -H "Content-Type: application/json" -d '{"name":"alert1", "expr":"ETH>CAKE"}' https://localhost:10008/api/crypto/v1/alert
# ticker
-curl -k -X POST -H "Content-Type: application/json" -d '{"name":"ETH"}' https://localhost:10008/crypto/v1/ticker
-curl -k -X POST -H "Content-Type: application/json" -d '{"name":"BTC"}' https://localhost:10008/crypto/v1/ticker
-curl -k -X POST -H "Content-Type: application/json" -d '{"name":"XMR"}' https://localhost:10008/crypto/v1/ticker
-curl -k -X POST -H "Content-Type: application/json" -d '{"name":"STX"}' https://localhost:10008/crypto/v1/ticker
-curl -k -X POST -H "Content-Type: application/json" -d '{"name":"LINK"}' https://localhost:10008/crypto/v1/ticker
-curl -k -X POST -H "Content-Type: application/json" -d '{"name":"PEPE"}' https://localhost:10008/crypto/v1/ticker
-curl -k -X GET -H "Content-Type: application/json" https://localhost:10008/crypto/v1/ticker?key=ETH
-curl -k -X DELETE -H "Content-Type: application/json" https://localhost:10008/crypto/v1/ticker?key=ETH
+curl -k -X POST -H "Content-Type: application/json" -d '{"name":"ETH"}' https://localhost:10008/api/crypto/v1/ticker
+curl -k -X POST -H "Content-Type: application/json" -d '{"name":"BTC"}' https://localhost:10008/api/crypto/v1/ticker
+curl -k -X POST -H "Content-Type: application/json" -d '{"name":"XMR"}' https://localhost:10008/api/crypto/v1/ticker
+curl -k -X POST -H "Content-Type: application/json" -d '{"name":"STX"}' https://localhost:10008/api/crypto/v1/ticker
+curl -k -X POST -H "Content-Type: application/json" -d '{"name":"LINK"}' https://localhost:10008/api/crypto/v1/ticker
+curl -k -X POST -H "Content-Type: application/json" -d '{"name":"PEPE"}' https://localhost:10008/api/crypto/v1/ticker
+curl -k -X GET -H "Content-Type: application/json" https://localhost:10008/api/crypto/v1/ticker?key=ETH
+curl -k -X DELETE -H "Content-Type: application/json" https://localhost:10008/api/crypto/v1/ticker?key=ETH